%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(Module/Build.pm) perl(Pod/POM.pm) perl(Pod/POM/View/HTML.pm) perl(Test/LongString.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.09
%define module_name Pod-POM-View-HTML-Filter
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt1
Summary: Use filters on sections of your pod documents
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BO/BOOK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module is a subclass of `Pod::POM::View::HTML' that support the
`filter' extension. This can be used in `=begin' / `=end' and
`=for' pod blocks.

Please note that since the view maintains an internal state, only
an instance of the view can be used to present the POM object.
Either use:

    my $view = Pod::POM::View::HTML::Filter->new;
    $pom->present( $view );

or

    $Pod::POM::DEFAULT_VIEW = Pod::POM::View::HTML::Filter->new;
    $pom->present;

Even though the module was specifically designed
for use with `Perl::Tidy', you can write your own filters quite
easily (see the Writing your own filters entry elsewhere in this document).


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/P*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- initial import by package builder

